Bug 30545 - Replace the use of jQueryUI Accordion on the notices page
Summary: Replace the use of jQueryUI Accordion on the notices page
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Tomás Cohen Arazi
URL:
Keywords:
Depends on: 30494
Blocks: 29224 29226
  Show dependency treegraph
 
Reported: 2022-04-14 14:28 UTC by Owen Leonard
Modified: 2022-05-13 15:57 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 30545: Replace the use of jQueryUI Accordion on the notices page (25.67 KB, patch)
2022-04-14 16:29 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 30545: Replace the use of jQueryUI Accordion on the notices page (25.73 KB, patch)
2022-04-19 17:29 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 30545: Replace the use of jQueryUI Accordion on the notices page (25.23 KB, patch)
2022-04-20 13:40 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 30545: Replace the use of jQueryUI Accordion on the notices page (25.29 KB, patch)
2022-04-20 15:43 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2022-04-14 14:28:56 UTC
As part of Bug 29224, "OMNIBUS: Replace the use of jQueryUI Accordion" we should replace the use of the jQueryUI accordion component on the notices page with Bootstrap's Collapse component.
Comment 1 Owen Leonard 2022-04-14 16:29:12 UTC
Created attachment 133331 [details] [review]
Bug 30545: Replace the use of jQueryUI Accordion on the notices page

This patch updates the notices edit interface in order to replace
jQueryUI accordion and tabs widgets with Bootstrap collapse and tabs.

To test, apply the patch and rebuild the staff interface CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

- Set the TranslateNotices system preference to "Don't allow."
- Go to Tools -> Notices and edit any notice.
- On the "Modify notice" page you should see three collapsed sections:
  Email, Print, and SMS.
- Clicking the section headings should expand and collapse the panels.
- With one of the panels open, click Save -> Save and continue editing.
  - When the page reloads the same panel should be expanded.

- Enable the TranslateNotices system preference.
- Return to the edit interface for one of your notices.
- You should now see at least two tabs: Default and English.
- The sections under each tab should continue to work correctly.
- Test the "Save and continue" functionality again. When redirected you
  should return to both the correct tab and the correct panel, e.g. the
  "Print" section under the "English (en)" tab.
Comment 2 Lucas Gass 2022-04-19 17:29:34 UTC
Created attachment 133408 [details] [review]
Bug 30545: Replace the use of jQueryUI Accordion on the notices page

This patch updates the notices edit interface in order to replace
jQueryUI accordion and tabs widgets with Bootstrap collapse and tabs.

To test, apply the patch and rebuild the staff interface CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

- Set the TranslateNotices system preference to "Don't allow."
- Go to Tools -> Notices and edit any notice.
- On the "Modify notice" page you should see three collapsed sections:
  Email, Print, and SMS.
- Clicking the section headings should expand and collapse the panels.
- With one of the panels open, click Save -> Save and continue editing.
  - When the page reloads the same panel should be expanded.

- Enable the TranslateNotices system preference.
- Return to the edit interface for one of your notices.
- You should now see at least two tabs: Default and English.
- The sections under each tab should continue to work correctly.
- Test the "Save and continue" functionality again. When redirected you
  should return to both the correct tab and the correct panel, e.g. the
  "Print" section under the "English (en)" tab.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 3 Tomás Cohen Arazi 2022-04-20 13:13:10 UTC Comment hidden (obsolete)
Comment 4 Tomás Cohen Arazi 2022-04-20 13:17:19 UTC
I mistakenly marked this as PQA. It doesn't apply anymore.
Comment 5 Owen Leonard 2022-04-20 13:40:08 UTC
Created attachment 133473 [details] [review]
Bug 30545: Replace the use of jQueryUI Accordion on the notices page

This patch updates the notices edit interface in order to replace
jQueryUI accordion and tabs widgets with Bootstrap collapse and tabs.

To test, apply the patch and rebuild the staff interface CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

- Set the TranslateNotices system preference to "Don't allow."
- Go to Tools -> Notices and edit any notice.
- On the "Modify notice" page you should see three collapsed sections:
  Email, Print, and SMS.
- Clicking the section headings should expand and collapse the panels.
- With one of the panels open, click Save -> Save and continue editing.
  - When the page reloads the same panel should be expanded.

- Enable the TranslateNotices system preference.
- Return to the edit interface for one of your notices.
- You should now see at least two tabs: Default and English.
- The sections under each tab should continue to work correctly.
- Test the "Save and continue" functionality again. When redirected you
  should return to both the correct tab and the correct panel, e.g. the
  "Print" section under the "English (en)" tab.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 6 Martin Renvoize 2022-04-20 15:43:47 UTC
Created attachment 133487 [details] [review]
Bug 30545: Replace the use of jQueryUI Accordion on the notices page

This patch updates the notices edit interface in order to replace
jQueryUI accordion and tabs widgets with Bootstrap collapse and tabs.

To test, apply the patch and rebuild the staff interface CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

- Set the TranslateNotices system preference to "Don't allow."
- Go to Tools -> Notices and edit any notice.
- On the "Modify notice" page you should see three collapsed sections:
  Email, Print, and SMS.
- Clicking the section headings should expand and collapse the panels.
- With one of the panels open, click Save -> Save and continue editing.
  - When the page reloads the same panel should be expanded.

- Enable the TranslateNotices system preference.
- Return to the edit interface for one of your notices.
- You should now see at least two tabs: Default and English.
- The sections under each tab should continue to work correctly.
- Test the "Save and continue" functionality again. When redirected you
  should return to both the correct tab and the correct panel, e.g. the
  "Print" section under the "English (en)" tab.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 7 Martin Renvoize 2022-04-20 15:45:55 UTC
This is great.. Passing QA

Minor annoyance that predates this though.. when you switch the language tab, we don't keep the context of the open accordion.. would be great if we could.. but that can wait on another bug.
Comment 8 Fridolin Somers 2022-05-02 21:25:25 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄